Subject: Problem with icon mapping

From: Julian Gilbey <[email-masked]>
Date: Wed, 5 May 1999 12:58:11 +0100 (BST)

I got this problem sent to me.  It still applies to 2.2, although I
have not yet checked it out myself.  Does this ring any bells before I
start working on it?

   Julian

----- Forwarded message from Alain ENOUT -----

From: Alain ENOUT <[email-masked]>
To: Julian Gilbey <[email-masked]>
Subject: RE: Bug#11886: #11886: fvwm2: pager not showing window, icon pro
Cc: [email-masked], [email-masked]

On 27-Apr-99 Julian Gilbey wrote:
>> 2) With some products (xfmail which is a very good mailer product
>> based on the xforms toolkit), there are some problems. Running xfmail from
>> the menu lauch it correctly. Then when I try to iconify xfmail, then
>> sometimes the icon maps (very fast i.e 1/100th of a second !!) on the
>> screen and disappear. The method I use to get xfmail back is restarting the
>> window manager. After several restarts, I can iconify the product and see
>> its icon. But the icon is not always at the specified place.
> 
> I have not been able to reproduce the problem of the icon disappearing
> with the latest version of FVWM2 (fvwm package, 2.2-x, in potato only,
> but runs quite happily on a slink (Debian 2.1) system).  Do you still
> notice this behaviour with this version?

Hello Julian,

Now I've been running fvwm2 2.2 for 1 week. I still got the problem.
My setup is fvwm2 2.2 1600x1200 display (this can be one reason).

I put:
Style "XFMail"       Sticky, IconBox -108 0 -107 1, StickyIcon

in my fvwm2rc file to iconify this application in the upper right corner.

If you need, I can send you my whole fvwm2rc file and a binary version of
xfmail. 

Best Regards.

---
Alain ENOUT                     Research Engineer, Mobile Communications Dpt
[email-masked]                                 Phone: +33 (0)4 93 00 26 65
EURECOM, 2229 rte des cretes, BP 193, F-06904 Sophia Antipolis Cedex, France

----- End of forwarded message from Alain ENOUT -----
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]